Subject: bug#50189: wdired chmod should not follow symlinks (Bug#11912 followup)

From: Lars Ingebrigtsen <[email-masked]>
Date: Sun, 11 Sep 2022 13:05:32 +0200

Michael Heerdegen <[email-masked]> writes:

>> Setting wdired-allow-to-change-permissions to t or `advanced' made this
>> work -- you can't really edit the permissions without that.
>
> That behavior not optimal and a bit confusing.

Yeah, like a lot of stuff with dired and wdired, unfortunately.

> I think we could make wdired explicitly check for and throw a
> "user-error" in this case so that the editing command is not performed
> (but only after the properties were attached).

You mean in the wdired-allow-to-change-permissions nil case?  Yes,
definitely.